/*
Tyyli nimi: Taidekauppa P. Grahn
sivut: kaikki
muokkauspäivä: 30.8.2016
*/

{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	list-style: none; }
	
html, body {
	height: 100%;
	
    margin-top: 0px;
	centered

	font-size: 100%;
	font-family: 'Lora', Times, serif;  
	text-align: center;
/*	background-image: url('zz.jpg'); 
	background-position: top;
	background-repeat: no-repeat; */
	background-color: grey;  
	}
	
#wrap {
	width: 100%;
	max-width: 1000px; 
	margin: 0 auto; /*yläreunan marginaali */
	-webkit-box-shadow: 0px 0px 20px 5px rgba(255, 255, 255, 1);	
	-moz-box-shadow: 0px 0px 20px 5px rgba(255, 255, 255, 1);	
	box-shadow: 0px 0px 20px 5px rgba(255, 255, 255, 1);	}
	
header, main, footer {
  padding: 0 0px; 


  margin-bottom: 20px; }
	
h1{ text-decoration: underline;
	color: grey; }
h3{ color: rgb(100,100,100); }


a:link {
	color: #804000;
	font-weight: bold;
	text-decoration: none; }
a:visited {
	text-decoration: none;
	font-weight: bold;
	color: grey; }
a:hover {
	text-decoration: underline; }
a:active {
	text-decoration: none;
	color: #804000; }

table {
	margin: auto;
    font-family: 'Lora', Times, serif;}
tr 	{
    background-color: rgba(255, 255, 255, 1);
	text-align: center;
	vertical-align:text-top;
 }
 
 
 /* Pop-up kuvat nettisivuille; RG 6.1.2018 */
 
 #myImg {
    border-radius: 0px; /* määrittelee pikkukuvan reunojen pyöreiden */
    cursor: pointer;
    transition: 0.3s;}
 #myImg02 {
    border-radius: 0px;
    cursor: pointer;
    transition: 0.3s;}
 #myImg03 {
    border-radius: 0px;
    cursor: pointer;
    transition: 0.3s;}
 #Pic_R01 {
    border-radius: 0px;
    cursor: pointer;
    transition: 0.3s;}
 #Pic_R02 {
    border-radius: 0px;
    cursor: pointer;
    transition: 0.3s;}
 #Pic_R03 {
    border-radius: 0px;
    cursor: pointer;
    transition: 0.3s;}
 #Pic_R04 {
    border-radius: 0px;
    cursor: pointer;
    transition: 0.3s;}


#myImg:hover {opacity: 0.7;}
#myImg02:hover {opacity: 0.7;}
#myImg03:hover {opacity: 0.7;}
#Pic_R01:hover {opacity: 0.7;}
#Pic_R02:hover {opacity: 0.7;}
#Pic_R03:hover {opacity: 0.7;}
#Pic_R04:hover {opacity: 0.7;}


/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 0px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
}

/* Modal Content (image) */
.modal-content_R {
    margin: auto;
    display: block;
/*    width: 1600px; /*vain jos halutaan että kaikki on saman leveyisiä */
 /*   max-width: 1600px; /* voi asettaa leveyden myös px- ja %-yksiköissä */
}
.modal-content {
    margin: auto;
    display: block;
    width: 750px; /*vain jos halutaan että kaikki on saman leveyisiä */
 /*   max-width: 750px; /* voi asettaa leveyden myös px- ja %-yksiköissä */
}


/* Caption of Modal Image */
#caption {
    margin: auto; /* auto */
    display: block;
    width: 80%;
    max-width: 700px;
    text-align: center;
    color: #ccc;
    padding: 10px 0;
    height: 150px;
}
#caption_02 {
    margin: auto; /* auto */
    display: block;
    width: 80%;
    max-width: 700px;
    text-align: center;
    color: #ccc;
    padding: 10px 0;
    height: 150px;
}
#caption_03 {
    margin: auto; /* auto */
    display: block;
    width: 80%;
    max-width: 700px;
    text-align: center;
    color: #ccc;
    padding: 10px 0;
    height: 150px;
}
#caption_R01 {
    margin: auto; /* auto */
    display: block;
    width: 80%;
    max-width: 700px;
    text-align: center;
    color: #ccc;
    padding: 10px 0;
    height: 150px;
}
#caption_R02 {
    margin: auto; /* auto */
    display: block;
    width: 80%;
    max-width: 700px;
    text-align: center;
    color: #ccc;
    padding: 10px 0;
    height: 150px;
}
#caption_R03 {
    margin: auto; /* auto */
    display: block;
    width: 80%;
    max-width: 700px;
    text-align: center;
    color: #ccc;
    padding: 10px 0;
    height: 150px;
}
#caption_R04 {
    margin: auto; /* auto */
    display: block;
    width: 80%;
    max-width: 700px;
    text-align: center;
    color: #ccc;
    padding: 10px 0;
    height: 150px;
}

/* Add Animation */
.modal-content, #caption {    
    -webkit-animation-name: zoom;
    -webkit-animation-duration: 0.6s;
    animation-name: zoom;
    animation-duration: 0.6s;
}

@-webkit-keyframes zoom {
    from {-webkit-transform:scale(0)} 
    to {-webkit-transform:scale(1)}
}

@keyframes zoom {
    from {transform:scale(0)} 
    to {transform:scale(1)}
}

/* The Close Button, Sulkemispainikkeen (X) sijainti */
.close {
    position: relative; /* relative = suht. kuvaan; absolute = ikknunan oik. yläkulma */
    top: 50px;
    right: -750px;
    color: #666666;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
}

.close:hover,
.close:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
}

/* 100% Image Width on Smaller Screens */
@media only screen and (max-width: 700px){
    .modal-content {
        width: 100%;
    }
}

 /* HEADER */
 /*
 header {
  width: 100%;
  background-color: #fff;
  position: relative;
  border-bottom: 5px solid #920100;
  height: 50px;
  display: table; }

#logo {
  text-transform: uppercase;
  color: #000;
  font-size: 1.4em;
  display: table-cell;
  vertical-align: bottom; }

#logo span {
  color: #920100; }

.menu-btn {
  display: table-cell;
  vertical-align: bottom;
  width: 25px;
  padding-bottom: 5px;
  cursor: pointer;
  position: relative; }

.menu-btn span {
  position: absolute;
  width: 25px;
  height: 3px;
  background-color: #920100;
  display: block; }
  .menu-btn span:nth-child(1) {
    top: 23px;
    transform: rotate(0deg);
    -webkit-transform: rotate(0deg);
    transition: all 0.2s; }
  .menu-btn span:nth-child(2) {
    top: 29px; }
  .menu-btn span:nth-child(3) {
    top: 35px;
    transform: rotate(0deg);
    -webkit-transform: rotate(0deg);
    transition: all 0.2s; }

.menu-btn.open span:nth-child(1) {
  transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
  top: 28px; }
.menu-btn.open span:nth-child(2) {
  display: none; }
.menu-btn.open span:nth-child(3) {
  transform: rotate(-45deg);
  -webkit-transform: rotate(-45deg);
  top: 28px; }

.primary-menu {
  font-family: "Trebuchet MS", Arial, sans-serif;
  font-size: 0.9em;
  line-height: 40px;
  text-align: right;
  display: none;
  position: absolute;
  left: 0;
  top: 50px;
  background: #fff;
  width: 100%;
  padding-right: 15px;
  border-bottom: 5px solid #920100;
  z-index: 99;
  font-size: 1em; }

.primary-menu ul li {
  display: block; }

.primary-menu a:hover {
  text-decoration: none;
  color: #000;
  border-top: 2px solid black; }
  
  
#header-image {
  line-height: 0;
  margin: 0 -30px;
  border-bottom: 3px solid #920100;
  display: none; }
  #header-image img {
    width: 100%;
    height: auto; }

/* FOOTER */
/*
footer {
  background-color: #920100;
  color: #fff;
  font-size: 14px;
  font-family: 'Trebuchet MS', Arial, sans-serif;
  padding: 10px 0;
  text-align: center;
  line-height: 2; }
  
  @media all and (min-width: 900px) {
  header {
    padding-left: 30px;
    padding-right: 30px; }

  .gallery-item {
    width: 33.33%; }

  .clear-two {
    clear: none; }

  .clear-three {
    clear: both; }
 }